package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单位/部门考评配置
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationEvaluationRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 考评组织名称
     */
    private String organizationName;

    /**
     * 考评组织ID
     */
    private String organizationId;

    /**
     * 考评类别
     */
    private String organizationType;

    /**
     * 业务版块
     */
    private String binSection;

    /**
     * 业务阶段
     */
    private String binStage;

    /**
     * 考评周期
     */
    private String evaluationCycle;

    /**
     * 考评规则ID
     */
    private String evaluateRuleId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 删除标记(0 为未删除，1 为已删除)

     */
    private String delFlag;

    /**
     * 是否考核(0;未考核；1:以考核)
     */
    private String isCheck;

    /**
     * 排序
     */
    private Integer orderNum;

	/**
	 * 年
	 */
	private String year;
	/**
	 * 月
	 */
	private String month;


}
